1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

let me get this straight...

Discussion in 'Sony PSP - Mod and firmware discussion' started by cleanboy2, Feb 22, 2007.

  1. cleanboy2

    cleanboy2 Member

    Joined:
    Mar 2, 2005
    Messages:
    55
    Likes Received:
    0
    Trophy Points:
    16
    ive been a bit out of touch with the whole psp hacking thing lately and havent really been able to get online as im a traveller but ive read a few topics on this forum and now im being told that if i upgrade to the latest firmware i can still have all the benefits of my 1.5 psp? well i mean i can still run iso's without a UMD? and im guessing without even having to use devhook???

    is it possible to run homebrew on the latest firmware? (which im assuming is 3.03?) basically all i want is to b able to run iso's and emulate a gba (and occasionally a snes he he)

    please tell me if im wrong?
     
  2. Eisherz

    Eisherz Active member

    Joined:
    Nov 28, 2006
    Messages:
    2,832
    Likes Received:
    33
    Trophy Points:
    78
    You are wrong. When you are on the two latest official Sony firmwares, you are stuck and don't even have a downgrader. These two are 3.10 and 3.11. What you heard about are custom firmwares made by Dark Alex (3.XX OE-X), there's also been one by a girl called Eiffel56, she modded firmware 1.50 so it has recovery menue and some more stuff. I'd recommend using either 3.03 OE-C or 3.10 OE-A2.
     
  3. Sudds

    Sudds Active member

    Joined:
    Sep 12, 2005
    Messages:
    3,703
    Likes Received:
    0
    Trophy Points:
    66
    3.03 OE-C is more customizable than 3.10 OE-A-2 until the topmenu-plugin is decrypted i,ll be staying on 3.03OE-C.
     
  4. hodgins91

    hodgins91 Regular member

    Joined:
    Jun 10, 2006
    Messages:
    3,636
    Likes Received:
    0
    Trophy Points:
    46
    yer im sticking with 3.03OE-C for now
     

Share This Page